> ## Documentation Index
> Fetch the complete documentation index at: https://docs.agent.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# [HS1_Report] Headshot Report

> Renders generated headshots as an HTML gallery.



## OpenAPI

````yaml /api-reference/v1/v1.1.0_openapi.json post /action/instant_headshot_render_headshot_report
openapi: 3.0.0
info:
  version: 1.1.0
  title: AI Actions - Get Data
  description: API specifications for 'Get Data' category AI actions.
  license:
    name: MIT
servers:
  - url: https://api-lr.agent.ai/v1
security:
  - bearerAuth: []
paths:
  /action/instant_headshot_render_headshot_report:
    post:
      tags:
        - Headshot Generator
      summary: '[HS1_Report] Headshot Report'
      description: Renders generated headshots as an HTML gallery.
      operationId: instantHeadshotRenderHeadshotReport
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                report_data:
                  type: string
                  x-ui: textarea
                  default: '{{headshot_result}}'
                output_variable_name:
                  type: string
                  default: results_html
                  pattern: ^[a-zA-Z][a-zA-Z0-9_]*$
              required:
                - output_variable_name
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ActionResponse'
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ActionResponse'
        '401':
          description: Unauthorized - invalid or missing bearer token
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ActionResponse'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ActionResponse'
components:
  schemas:
    ActionResponse:
      type: object
      properties:
        status:
          type: integer
          format: int32
          description: HTTP status code of the action response
        response:
          type: object
          description: Response data from the action
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        Bearer token from your account
        ([https://agent.ai/user/integrations#api](https://agent.ai/user/integrations#api))

````